diff -urN ssh-1.0.orig/ssh_auth.erl ssh-1.0.fix-bugs/ssh_auth.erl
--- ssh-1.0.orig/ssh_auth.erl	2008-09-25 10:48:25.013893608 +0900
+++ ssh-1.0.fix-bugs/ssh_auth.erl	2008-09-25 10:49:08.761243000 +0900
@@ -302,7 +302,7 @@
     end.
 
 check_password(User, Password, Opts) ->
-    io:format(" ~p ~p ~p ~n", [User, Password, Opts]),
+    ?dbg(true, " ~p ~p ~p ~n", [User, Password, Opts]),
     case proplists:get_value(pwdfun, Opts) of
 	undefined ->
 	    Static = get_password_option(Opts, User),
diff -urN ssh-1.0.orig/ssh_connection_manager.erl ssh-1.0.fix-bugs/ssh_connection_manager.erl
--- ssh-1.0.orig/ssh_connection_manager.erl	2008-09-25 10:48:25.012893760 +0900
+++ ssh-1.0.fix-bugs/ssh_connection_manager.erl	2008-09-25 10:49:08.761243000 +0900
@@ -303,7 +303,7 @@
 	    end,
     {reply, Reply, State};
 
-handle_call(peer_addr, _From, #state{connection = Pid} = State) ->
+handle_call({peer_addr, _ChannelId}, _From, #state{connection = Pid} = State) ->
     Reply = ssh_connection_handler:peer_address(Pid),
     {reply, Reply, State};
 
diff -urN ssh-1.0.orig/ssh_userreg.erl ssh-1.0.fix-bugs/ssh_userreg.erl
--- ssh-1.0.orig/ssh_userreg.erl	2008-09-25 10:48:25.012893760 +0900
+++ ssh-1.0.fix-bugs/ssh_userreg.erl	2008-09-25 10:49:08.762242848 +0900
@@ -46,7 +46,7 @@
     gen_server:cast(?MODULE, {register, {User, Cm}}).
 
 lookup_user(Cm) ->
-    gen_server:call(?MODULE, {get_user, Cm}, infinty).
+    gen_server:call(?MODULE, {get_user, Cm}, infinity).
 
 %%====================================================================
 %% gen_server callbacks
@@ -119,7 +119,7 @@
 
 lookup(_, []) ->
     undefined;
-lookup(Cm, [{User, Cm}]) ->
+lookup(Cm, [{User, Cm} | _Rest]) ->
     User;
 lookup(Cm, [_ | Rest]) ->
     lookup(Cm, Rest).
